No handling for when entering the same description for an item whose label exists twice
Closed, ResolvedPublic

Description

Prerequisites: Two items with the exact same label but different descriptions.

Change the description of one item to be the same as the other item's description. The description appears to be saved but reloading the page reveals it is not.
The API response does not return a "lastrevid" parameter. So, when changing one of the descriptions to match the other one and instantly trying to change the description again without reloading, a JavaScript error locking the page is caused since the revision id is undefined.

Probably, the API should return an error that an item with the same combination of label an description exists already or it should simply save the combination (just like it is possible to create an item with a combination of label and description that is already in use).


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=43720

bzimport added a subscriber: wikidata-bugs.
bzimport set Reference to bz43301.
Snaterlicious created this task.Via LegacyDec 20 2012, 3:33 PM
Tobi_WMDE_SW added a comment.Via ConduitJan 9 2013, 11:39 AM

It seems that this issue got fixed (unintended?) by I5f5b4200. I cannot really figure out how it got fixed but the issue is gone.
I'm going to add additional Selenium tests to cover this behavior.

Tobi_WMDE_SW added a comment.Via ConduitJan 9 2013, 1:32 PM

added Selenium tests in change Iba5be0f7

Abraham added a comment.Via ConduitJan 14 2013, 5:00 PM

Verified in Wikidata demo sprint 28

Add Comment